org.gnome.gdk

## Class EventCrossing

- Object
- - org.freedesktop.bindings.Pointer
  - - org.gnome.glib.Boxed
    - - org.gnome.gdk.Event
      - - org.gnome.gdk.EventCrossing

-     public final class EventCrossing
      extends Event

  Event data describing a mouse entering or leaving a Window.

  This is used by `Widget.EnterNotifyEvent` and `Widget.LeaveNotifyEvent`.

  Since:
    4.0.7
  Author:
    Andrew Cowie

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `NotifyType` | `getDetail()` Describes the relationship between the Window from which the mouse pointer left, and the Window which the mouse pointer entered.
    `CrossingMode` | `getMode()` Describes the mode of this EventCrossing: whether the event is a `NORMAL` one or a pseudo-motion one resulting from a `GRAB` or `UNGRAB`.

    - ### Methods inherited from class org.gnome.gdk.Event

      `getType, getWindow`

    - ### Methods inherited from class org.freedesktop.bindings.Pointer

      `toString`

    - ### Methods inherited from class Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Method Detail

    - #### getDetail

          public NotifyType getDetail()

      Describes the relationship between the Window from which the mouse pointer left, and the Window which the mouse pointer entered. Most often you'll see is `NONLINEAR`, which tells you that the pointer moved between unrelated X Windows.
      Since:
        4.0.7

    - #### getMode

          public CrossingMode getMode()

      Describes the mode of this EventCrossing: whether the event is a `NORMAL` one or a pseudo-motion one resulting from a `GRAB` or `UNGRAB`.
      Since:
        4.0.7